Bug 1897423 - Max unavailable and Max surge value are not shown on Deployment Config Details page
Summary: Max unavailable and Max surge value are not shown on Deployment Config Detail...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Jakub Hadvig
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 1899056
TreeView+ depends on / blocked
 
Reported: 2020-11-13 03:51 UTC by Yadan Pei
Modified: 2021-02-24 15:33 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: incorrect strategy type is used to parse from the DC Consequence: Deployment Config Details page is not showing Max unavailable and Max surge Fix: use correct strategy type and parse from correct path Result: Deployment Config Details page is showing Max unavailable and Max surge
Clone Of:
: 1899056 (view as bug list)
Environment:
Last Closed: 2021-02-24 15:33:26 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screen shot showing the fields (80.27 KB, image/png)
2020-11-18 04:56 UTC, Siva Reddy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7200 0 None closed Bug 1897423: Update dc strategy type and rolling params 2021-01-15 13:25:19 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:33:49 UTC

Description Yadan Pei 2020-11-13 03:51:27 UTC
Description of problem:
Max unavailable and Max surge value are not shown on Deployment Config Details page

Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2020-11-12-063401

How reproducible:
Always

Steps to Reproduce:
1. create a deploymentconfig and check its details
# oc get dc example -n yapei47 -o json | jq '.spec.strategy.type'
"Rolling"
# oc get dc example -n yapei47 -o json | jq '.spec.strategy.rollingParams.maxUnavailable'
"25%"
# oc get dc example -n yapei47 -o json | jq '.spec.strategy.rollingParams.maxSurge'
0


Actual results:
1. Max unavailable and Max surge value is not shown on details page

Expected results:
1. Max unavailable and Max surge value should be shown on details page

Additional info:

Comment 2 Siva Reddy 2020-11-18 04:55:28 UTC
Max surge and max unavailable are now displayed on the deployment config page

Version:

4.7.0-0.nightly-2020-11-17-005408

the fields in question are now visible on the deployment config page. see the screen shot attached.

Comment 3 Siva Reddy 2020-11-18 04:56:09 UTC
Created attachment 1730474 [details]
Screen shot showing the fields

Comment 6 errata-xmlrpc 2021-02-24 15:33:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.